<?php

if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."casual_anekdot_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."casual_anekdot_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."casual_anekdot_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."casual_anekdot_panel/locale/Russian.php";
}

// Infusion general information
$inf_title = $locale['an_title'];
$inf_description = $locale['an_desc'];
$inf_version = "2.0";
$inf_developer = "vialish";
$inf_email = "via_lish@ukr.net";
$inf_weburl = "http://ds-webevent.com/";
$inf_folder = "casual_anekdot_panel"; // The folder in which the infusion resides.
$inf_admin_image = "smileys.gif";
$inf_admin_panel = "casual_anekdot_admin.php";

$inf_newtables = 2;
$inf_insertdbrows = 4;

$inf_newtable[1] = $db_prefix."casual_anekdot (
casual_anekdot_id MEDIUMINT(8) UNSIGNED NOT NULL auto_increment,
casual_anekdot_name VARCHAR(30) NOT NULL,
casual_anekdot_idname MEDIUMINT(8) UNSIGNED NOT NULL,
casual_anekdot_msg text NOT NULL,
casual_anekdot_datestamp INT(10) UNSIGNED NOT NULL,
PRIMARY KEY (casual_anekdot_id)
) TYPE=MyISAM;";

$inf_newtable[2] = $db_prefix."casual_anekdot_admin (
admin_maxmsg SMALLINT(4) UNSIGNED NOT NULL DEFAULT '500',
admin_qq TINYINT(1) UNSIGNED DEFAULT '1',
admin_qqpage TINYINT(2) UNSIGNED NOT NULL DEFAULT '5',
admin_addmsg TINYINT(1) UNSIGNED DEFAULT '1',
admin_lookmsg TINYINT(1) UNSIGNED DEFAULT '1',
PRIMARY KEY (admin_maxmsg)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = $db_prefix."casual_anekdot (casual_anekdot_id, casual_anekdot_name, casual_anekdot_idname, casual_anekdot_msg, casual_anekdot_datestamp) VALUES ('', 'vialish',  '', 'Hp    .   p.<br> -  ?<br> - !<br> - ?!?!   ! ;)', '1229697684')";
$inf_insertdbrow[2] = $db_prefix."casual_anekdot (casual_anekdot_id, casual_anekdot_name, casual_anekdot_idname, casual_anekdot_msg, casual_anekdot_datestamp) VALUES ('', 'vialish',  '', 'p ()  ().   p    .<br>-() p !<br>-() (  ) p p!<br>-()    p,  p  p,  ,  ?<br>-() ... -  p, p  - p.', '1229697684')";
$inf_insertdbrow[3] = $db_prefix."casual_anekdot (casual_anekdot_id, casual_anekdot_name, casual_anekdot_idname, casual_anekdot_msg, casual_anekdot_datestamp) VALUES ('', 'vialish',  '', '   .    :<br> - ,     .   .<br> - ?<br> -       .<br> -     .<br> -    7 . :)', '1229697684')";
$inf_insertdbrow[4] = $db_prefix."casual_anekdot_admin (admin_maxmsg, admin_qq, admin_qqpage, admin_addmsg, admin_lookmsg) VALUES ('500', '1',  '5', '1', '1')";
$inf_droptable[1] = $db_prefix."casual_anekdot";
$inf_droptable[2] = $db_prefix."casual_anekdot_admin";

$inf_adminpanel[1] = array(
	"title" => $locale['an_title'],
	"image" => "smileys.gif",
	"panel" => "casual_anekdot_admin.php",
	"rights" => "CA2"
);
?>